org.springframework.ldap.filter

## Class PresentFilter

- java.lang.Object
- - org.springframework.ldap.filter.AbstractFilter
  - - org.springframework.ldap.filter.PresentFilter

- All Implemented Interfaces:
    Filter

      public class PresentFilter
      extends AbstractFilter

  Filter that allows the user to check for the existence of a attribute. For an attribute to be `'present'` it must contain a value. Attributes that do not contain a value are `'NOT present'`. To filter on attributes that are `'NOT present'` use the `NotPresentFilter` or use this filter in combination with a `NotFilter` .

       PresentFilter filter = new PresentFilter("foo");
       System.out.println(filter.encode());

  would result in:

        (foo=*)

  Author:
    Jordan Hein

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PresentFilter(String attribute)` Creates a new instance of a present filter for a particular attribute.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringBuffer` | `encode(StringBuffer buff)` Encodes the filter to a StringBuffer.
    `boolean` | `equals(Object o)` All filters must implement equals.
    `int` | `hashCode()` All filters must implement hashCode.

    - ### Methods inherited from class org.springframework.ldap.filter.AbstractFilter

      `encode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PresentFilter

          public PresentFilter(String attribute)

      Creates a new instance of a present filter for a particular attribute.
      Parameters:
        `attribute` - the attribute expected to be present (ie, contains a value).

  - ### Method Detail

    - #### encode

          public StringBuffer encode(StringBuffer buff)

      Description copied from interface: `Filter`
      Encodes the filter to a StringBuffer.
      Parameters:
        `buff` - The StringBuffer to encode the filter to
      Returns:
        The same StringBuffer as was given

    - #### equals

          public boolean equals(Object o)

      Description copied from interface: `Filter`
      All filters must implement equals.
      Specified by:
        `equals` in interface `Filter`
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if the objects are equal.

    - #### hashCode

          public int hashCode()

      Description copied from interface: `Filter`
      All filters must implement hashCode.
      Specified by:
        `hashCode` in interface `Filter`
      Overrides:
        `hashCode` in class `Object`
      Returns:
        the hash code according to the contract in `Object.hashCode()`